TEMPLATE = app
TARGET = desq-session

INCLUDEPATH += . Application
DEPENDPATH += . Application

QT -= gui
QT += dbus network

LIBS += -ldesq -ldesq-wl

# Input
HEADERS += DesQSession.hpp
HEADERS += DesQSessionAdaptor.hpp

SOURCES += DesQSession.cpp
SOURCES += DesQSessionAdaptor.cpp
SOURCES += Main.cpp

# Silent compilation
CONFIG += silent

# Build section
BUILD_PREFIX = $$(DESQ_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
	BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR       = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

unix {
	isEmpty(PREFIX) {
		PREFIX = /usr
	}

	BINDIR        = $$PREFIX/bin

	target.path   = $$BINDIR

	desktopwl.path  = $$PREFIX/share/wayland-sessions/
	desktopwl.files = resources/desqsession.desktop

	desktopxorg.path  = $$PREFIX/share/xsessions/
	desktopxorg.files = resources/oystersession.desktop

	config.path   = $$PREFIX/share/desq/
	config.files  = resources/wayfire.ini

	INSTALLS     += target config desktopwl desktopxorg
}
